package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发行方对象 issuer
 *
 * @author ruoyi
 * @date 2023-02-14
 */
public class Issuer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 头像储存地址 */
    @Excel(name = "头像储存地址")
    private String avatar;

    /** 发行方名称 */
    @Excel(name = "发行方名称")
    private String issuerName;

    /** 电话 */
    @Excel(name = "电话")
    private String mobile;

    /** 邮件 */
    @Excel(name = "邮件")
    private String email;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setIssuerName(String issuerName)
    {
        this.issuerName = issuerName;
    }

    public String getIssuerName()
    {
        return issuerName;
    }
    public void setMobile(String mobile)
    {
        this.mobile = mobile;
    }

    public String getMobile()
    {
        return mobile;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("avatar", getAvatar())
                .append("issuerName", getIssuerName())
                .append("mobile", getMobile())
                .append("email", getEmail())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
